#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    long long x1,y1;
    long long x2,y2;
    cin>>x1>>y1;
    cin>>x2>>y2;
    int br;
    long long x=abs(x1-x2);
    long long y=abs(y1-y2);
    if (x==y)
    {
        br=1;
    }
    else if (x1==x2 || y1==y2)
    {
        br=2;
    }
    else
    {
        br=0;
    }

    cout<<br;

    return 0;
}